xcb_xkb_get_state_reply_t Struct Reference
XCB xkb API

xcb_xkb_get_state_reply_t More...

`#include <xkb.h>`

## Data Fields

uint8_t | response_type
uint8_t | deviceID
uint16_t | sequence
uint32_t | length
uint8_t | mods
uint8_t | baseMods
uint8_t | latchedMods
uint8_t | lockedMods
uint8_t | group
uint8_t | lockedGroup
int16_t | baseGroup
int16_t | latchedGroup
uint8_t | compatState
uint8_t | grabMods
uint8_t | compatGrabMods
uint8_t | lookupMods
uint8_t | compatLookupMods
uint8_t | pad0
uint16_t | ptrBtnState
uint8_t | pad1 [6]

## Detailed Description

xcb_xkb_get_state_reply_t

The documentation for this struct was generated from the following file:

- xkb.h